<?php
require_once('conf/dbc.php');
require_once('conf/session_start.php');
require_once('conf/ban.php');
if ((!isset($_SESSION['id'])) or (!isset($_SESSION['nick'])))  {
  ?>
  <script type="text/javascript">
  document.location.href = "reg.php";
  </script>
  <?php
  exit();
}
$page_title = 'Коряга';
require_once('conf/head.php');
require_once('conf/top.php');
//////////////////////////////////////
?><p class='name'><b>Коряга</b></p><div class='npc_title'>
<img src='img/ico/koryaga.png'   style='float:left;margin-right:5px;'/>
		<b>Имя:</b> <b style='color:#faaa05'>Коряга</b></br>
		<b>Ранг:</b> Новичок<br/>
		<b>Группа:</b> Торговец<br/>
</div>
<div class='npc_border'></div>
  <?php
$type=abs(intval($_GET['type']));
if (empty($type) or $type <> 1 and $type <> 2 ) {
  $type=1;
}
?>
  <?php
if ($type == 1) {
  ?>
<div class='npc_title'><span class="bonus">- Не видишь? Занят я... Что хотел?</div>
<div class='npc_border'></div>
  <div class="link"><a class="link" href="koryaga.php?type=2">- Хочу произвести обмен</a>
</div>
  <div class="link"><a class="link"<a href="skadovsk.php" class="menu1"><img src="img/ico/left.png" alt="."/>Нет спасибо.Пойду я лучше.</a></div>
<div class='npc_border'></div>
<?php
}
if ($type == 2) {
  ?><div class='npc_title'><span class="bonus">- Обмен? Значит ты по адресу!</div>
<div class='npc_border'></div>
<p class="link" style="border-top:1px solid #444e4f; background-color:#1c252f;">Курс обмена:</p><br/>
<p class="net">500Хаб => 1 Rub </p>
<p class="net">1 Rub => 500 Хаб</p><p class="zx">
<?php
$idu=abs(intval($_SESSION['id']));
$Ousr=$dbc->query("SELECT `habar`,`money` FROM`users` WHERE`id`='$idu'")->fetch_assoc();


if(isset($_GET['OBMEN'])){
$sum=abs(intval($_POST['sum']));
$val=filter($_POST['vl']);
if($sum>0){
if($val==rub){


if($sum>$Ousr['money']){echo'<p class="zx">У вас не хватает RUB
<p><a href="?type=2" class="menu1"><img src="img/ico/left.png" alt="."/>Назад</a></p>
<p class="zx">';
require_once('conf/navig.php');
require_once('conf/foot.php');
exit();
}
if($sum<'10'){echo'<p class="zx">Мин сума 10 RUB
<p><a href="?type=2" class="menu1"><img src="img/ico/left.png" alt="."/>Назад</a></p>
<p class="zx">';
require_once('conf/navig.php');
require_once('conf/foot.php');
exit();
}
$poluchu=intval($sum*500);
$rub=$Ousr['money']-$sum;
$hab=$Ousr['habar']+$poluchu;
if($dbc->query("UPDATE`users`SET`money`='$rub' , `habar`='$hab'WHERE`id`='$idu'")){
echo'<p class="zx">Обмен успешно произведён!<br/><a href="?type=2">Назад</a><p class="zx">';
unset($_POST['sum']);
require_once('conf/navig.php');
require_once('conf/foot.php');
exit();
}
}

if($val==xab){




 if($sum>$Ousr['habar']){echo'<p class="zx">У вас не хватает Habara<a
 href="?type=2">Назад</a><p class="zx">';
require_once('conf/navig.php');
require_once('conf/foot.php');
exit();
}
if($sum<'1000'){echo'<p class="zx">Мин
сумма 1000 Хабара
<p><a href="?type=2" class="menu1"><img src="img/ico/left.png" alt="."/>Назад</a></p>
<p class="zx">';
require_once('conf/navig.php');
require_once('conf/foot.php');
exit();
}
$poluchu=intval($sum/500);
 $hab=$Ousr['habar']-$sum;
$rub=$Ousr['money']+$poluchu;
if($dbc->query("UPDATE`users`SET`money`='$rub',`habar`='$hab'WHERE`id`='$idu'")){echo'<p class="zx">Обмен успешно
произведён!<br/>
<p><a href="?type=2" class="menu1"><img src="img/ico/left.png" alt="."/>Назад</a></p><p class="zx">';unset($_POST['sum']);require_once('conf/navig.php');
require_once('conf/foot.php');
exit();}}


}else{echo'<p class="zx">УКАЖИТЕ СКОЛЬКО ВЫ ЖЕЛАЕТЕ ОБМЕНЯТЬ!<p class="zx">';}

}
echo'У вас есть:<br/>Денег: '.$Ousr['money'].' Rub<br/>Хабара: '.$Ousr['habar'].' hab.<p class="zx"><form action="?type=2&OBMEN" method="post">Обменять RUB/Хаб<br/>';
echo"<select style='width:48%; height:25px;' name='sum' class='input'>
<option value='1000'>1000 </option>
<option value='5000'>5000 </option>
<option value='15000'>15000 </option>
<option value='35000'>35000</option>
<option value='50000'>50000 </option>
<option value='100000'>100000 </option>
<option value='500000'>500000 </option>
</select><br/>";
echo'Валюта:<br/><input type="radio" checked=checked name="vl" value="rub">RUB => Хабар (<font color=red>1 RUB => 500 Хаб.</font>)<br/>';
//echo'<input type="radio" name="vl" value="xab">Хабар => RUB (<font color=red>500 Хаб => 1 RUB</font>)<br/>';
echo'<input class="button" type="submit" value="Обменять!"/></form>';


?>
<p><a href="skadovsk.php" class="menu"><img src="img/ico/out.png" alt="."/>Выйти</a></p>

  <?php
}
//////////////////////////////////////

require_once('conf/navig.php');
require_once('conf/foot.php');
?>
</body>
</html>